Your message dated Sat, 18 Jul 2015 02:28:22 +0200
with message-id <55a99da6.1060...@xs4all.nl>
and subject line Re: Bug#790043: mapnik: no longer builds python bindings
has caused the Debian Bug report #790043,
regarding mapnik: no longer builds python bindings
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
790043: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=790043
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: mapnik
Version: 3.0.0~rc3+ds-1
Severity: serious

Hi,

mapnik no longer builds the python bindings, but tilelite still depends on
those. Something needs to be done here so that mapnik can be in a releasable
state: either the bindings are brought back (possibly from a different
source package) or codelite needs to be fixed / removed.

Emilio

--- End Message ---
--- Begin Message ---
Control: fixed -1 python-mapnik/1:0.0~20150708-c005502-1

On 06/27/2015 02:23 PM, Sebastiaan Couwenberg wrote:
> On 06/26/2015 07:31 PM, Sebastiaan Couwenberg wrote:
>> On 06/26/2015 07:26 PM, Jérémy Lal wrote:
>>> indeed upstream moved python bindings development to a separate project
>>> https://github.com/mapnik/python-mapnik
>>>
>>> Anyone interested in helping ? I'm not used to packaging python modules.
>>
>> Yes, I'm started to work on a python-mapnik package from that git
>> repository. I was unstable to use pypi.debian.net despite there being a
>> 0.1 release on pypi.python.org.
>>
>> python-mapnik doesn't support Python 3, so that will need to be fixed
>> for it to have a future post-buster.
> 
> Initial packaging for python-mapnik is available on Alioth:
> 
> http://anonscm.debian.org/cgit/pkg-grass/python-mapnik.git
> 
> Unfortunately the code in the python-mapnik git repository is not
> compatible with mapnik 3.0.0-RC3.

With the changes in mapnik (3.0.0+ds-2) and a patch for the boost
libraries the new python-mapnik package builds successfully.

It was accepted into unstable yesterday, which should resolve this issue.

I've also updated the python-mapnik dependency in tilelite to no longer
use the python-mapnik2 transitional package.

Kind Regards,

Bas

-- 
 GPG Key ID: 4096R/6750F10AE88D4AF1
Fingerprint: 8182 DE41 7056 408D 6146  50D1 6750 F10A E88D 4AF1

--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to